# Interface methods for submodule: AmoebaOptimizerv4
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import SingleValuedNonLinearVnlOptimizerv4Proxy as _SingleValuedNonLinearVnlOptimizerv4Proxy


# Interface methods for class: AmoebaOptimizerv4
class AmoebaOptimizerv4Proxy(_SingleValuedNonLinearVnlOptimizerv4Proxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def StartOptimization(self, doOnlyInitialization: bool = False) -> None:
		""""""
		...

	def SetMetric(self, metric) -> None:
		""""""
		...

	def SetAutomaticInitialSimplex(self, _arg: bool) -> None:
		""""""
		...

	def AutomaticInitialSimplexOn(self) -> None:
		""""""
		...

	def AutomaticInitialSimplexOff(self) -> None:
		""""""
		...

	def GetAutomaticInitialSimplex(self) -> bool:
		""""""
		...

	def SetOptimizeWithRestarts(self, _arg: bool) -> None:
		""""""
		...

	def OptimizeWithRestartsOn(self) -> None:
		""""""
		...

	def OptimizeWithRestartsOff(self) -> None:
		""""""
		...

	def GetOptimizeWithRestarts(self) -> bool:
		""""""
		...

	def SetInitialSimplexDelta(self, initialSimplexDelta, automaticInitialSimplex: bool = False) -> None:
		""""""
		...

	def GetInitialSimplexDelta(self):
		""""""
		...

	def SetParametersConvergenceTolerance(self, _arg: float) -> None:
		""""""
		...

	def GetParametersConvergenceTolerance(self) -> float:
		""""""
		...

	def SetFunctionConvergenceTolerance(self, _arg: float) -> None:
		""""""
		...

	def GetFunctionConvergenceTolerance(self) -> float:
		""""""
		...

	def GetStopConditionDescription(self) -> str:
		""""""
		...

	def GetOptimizer(self):
		""""""
		...

